出入金数据
商户后台赠币记录
POST
/
platformapi
/
chainup
/
open
/
record
/
presentCoinList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/presentCoinList
{
"code": "0",
"msg": "suc",
"data": {
"uid": 24093315,
"presentRecordList": [
{
"uid": "1234",
"symbol": "btc",
"ctimeStr": "2023-11-29 06:00:06",
"amount": "0.10419999996",
"typeName": "红包活动",
"ctime": 1701208806000,
"opUid": 0
},
{
"uid": "1349",
"symbol": "btc",
"ctimeStr": "2023-11-28 06:00:07",
"amount": "0.756329813377564",
"typeName": "活动",
"ctime": 1701122407000,
"opUid": 0
}
],
"persentTypeArr": [
{
"present_type": "2",
"used": true,
"title": "红包活动"
}
],
"count": 111,
"ctimeEnd": null,
"pageSize": 10,
"page": 1,
"type": null,
"ctimeStart": null
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
uid
string
用户id
ctimeStart
string
开始时间(13位时间戳)
Example: 1701684051928
ctimeEnd
string
结束时间(13位时间戳)
Example: 1701684051928
page
string
页码
Example: 1
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
count
string
Example: 111
ctimeEnd
string
Example: null
pageSize
string
Example: 10
page
string
Example: 1
type
string
Example: null
ctimeStart
string
Example: null
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/presentCoinList
{
"code": "0",
"msg": "suc",
"data": {
"uid": 24093315,
"presentRecordList": [
{
"uid": "1234",
"symbol": "btc",
"ctimeStr": "2023-11-29 06:00:06",
"amount": "0.10419999996",
"typeName": "红包活动",
"ctime": 1701208806000,
"opUid": 0
},
{
"uid": "1349",
"symbol": "btc",
"ctimeStr": "2023-11-28 06:00:07",
"amount": "0.756329813377564",
"typeName": "活动",
"ctime": 1701122407000,
"opUid": 0
}
],
"persentTypeArr": [
{
"present_type": "2",
"used": true,
"title": "红包活动"
}
],
"count": 111,
"ctimeEnd": null,
"pageSize": 10,
"page": 1,
"type": null,
"ctimeStart": null
}
}